org.apache.synapse.commons.throttle.core.impl.domainbase

## Class DomainBaseCallerContext

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.CallerContext
  - - org.apache.synapse.commons.throttle.core.impl.domainbase.DomainBaseCallerContext

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class DomainBaseCallerContext
      extends CallerContext
      implements java.io.Serializable

  Caller Context implementation for domain name based throttle type caller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainBaseCallerContext(java.lang.String ID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Gets type of throttle that this caller belong ex : ip/domain

    - ### Methods inherited from class org.apache.synapse.commons.throttle.core.CallerContext

      `canAccess, cleanUpCallers, clone, getFirstAccessTime, getGlobalCounter, getId, getLocalCounter, getNextTimeWindow, getRoleId, getUnitTime, getUuid, incrementGlobalCounter, incrementLocalCounter, resetGlobalCounter, resetLocalCounter, setFirstAccessTime, setGlobalCounter, setLocalCounter, setNextTimeWindow, setRoleId, setUnitTime`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainBaseCallerContext

          public DomainBaseCallerContext(java.lang.String ID)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `CallerContext`
      Gets type of throttle that this caller belong ex : ip/domain
      Specified by:
        `getType` in class `CallerContext`
      Returns:
        Returns the type of the throttle

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.